# Get-RASGatewayStatus

### NAME

Get-RASGatewayStatus\ <br>

### SYNOPSIS

Retrieves RAS Secure Gateway summary and state information.\ <br>

### SYNTAX

Get-RASGatewayStatus \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#CommonParameters)*>*]\
\
Get-RASGatewayStatus \[\[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#InputObject)] *<*[*Gateway*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Gateway.html)*>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#CommonParameters)*>*]\
\
Get-RASGatewayStatus \[\[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#Server)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASGatewayStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the summary and state information for one or all RAS Secure Gateways.\
\
The information includes ID, site ID, RAS Secure Gateway server name, agent version, and state ("OK" meaning the gateway is functioning properly).\
\
To obtain the information for all available gateways, execute the cmdlet with no parameters.\ <br>

### PARAMETERS

\
-**Server \<string>**\
The name of the gateway for which to retrieve the information.\
\
This must be the actual gateway server name used in the RAS farm.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified gateway information.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the gateway for which to retrieve the information. To obtain the ID, use the Get-RASGateway cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**Gateway**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Gateway.html)**>**\
An object of type Gateway identifying the gateway.\
\
To obtain the object, use the Get-RASGateway cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[Gateway](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Gateway.html)

### OUTPUTS

[GatewaySysInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/GatewaySysInfo.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASGatewayStatus -Id 15\
\
Retrieves the information for the RAS Secure Gateway with ID 15.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASGatewayStatus -Server MyGateway\
\
Retrieves the information for the RAS Secure Gateway named "MyGateway".\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASGatewayStatus -InputObject $Gateway\
\
Retrieves the information for the RAS Secure Gateway identified by the $Gateway object.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASGateway -Id 15 | Get-RASGatewayStatus\
\
Retrieves the information for the RAS Secure Gateway identified by the object obtained from the pipeline output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasgatewaystatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
